function y = classicLorenz(x)

sigma = intval(10);                         
beta = intval(8/3);
rho = intval(28);

y = [sigma*(x(2) - x(1));
     x(1)*(rho - x(3)) - x(2);
     x(1)*x(2) - beta*x(3)];