% 09/08/11, Christian Reinhardt

% Function which given a grid t and an approximate solution in form of a
% grid values matrix computes the Yinfinity bounds.


function Yinfinity = compute_bounds(t,x,beta,rho,sigma)

m = length(t);
k= 11;
Yinfinity = intval(zeros(m-1,3*2^k));
for i=1:m-1
    deltat = t(i+1)-t(i);
    for l=1:2^k
        Yinfinity(i,3*(l-1)+1:3*l) = yinf(intval([x(:,i:i+1);lorenz_rhs(x(:,i:i+1),beta,rho,sigma)]),infsup(t(i)+(l-1)/2^k*deltat,t(i)+(l)/2^k*deltat),intval(t(i)),intval(t(i+1)),intval(beta),intval(rho),intval(sigma));
    end
    disp('Next time interval')
    mini(i) = min(min(mag(Yinfinity(i,:))))
    maxi(i) = max(max(mag(Yinfinity(i,:))))
end

mini = min(min(mag(Yinfinity)))
maxi = max(max(mag(Yinfinity)))


end