function varargout=compute_sm_alphaPoly_intval(...
    n1,n2,P1,P2,P3,sigma, rho, beta, M)

sm_alpha2 = intval(zeros(2*M+1, 1));
sm_alpha3 = intval(zeros(2*M+1, 1));





for m = 0:2*M
   sum2 = intval(0);
   sum3 = intval(0);
   for j= 0:m
      for k = 0:n1
         for l = 0:n2
            if (((k ~= 0) | (l ~= 0)) & ((k ~= n1) | (l ~= n2)) & ...
                    ((m-j <= M) & (j <= M)))
                sum2 = sum2 + P1(m-j+1, n1-k+1, n2-l+1)*P3(j+1, k+1, l+1);
                sum3 = sum3 + P1(m-j+1, n1-k+1, n2-l+1)*P2(j+1, k+1, l+1);
            end
         end
      end
   end
   sm_alpha2(m+1) = sum2;
   sm_alpha3(m+1) = sum3;
end

varargout(1,1)={sm_alpha2};
varargout(2,1)={sm_alpha3};