function s_return=compute_sn_rhoPartial(n, P1, P2, P3, ...
                             P1_rho, P2_rho, P3_rho, ...
                             epsilon, delta, sigma, N)

A1 = zeros(1, N+1);
A2 = zeros(1, N+1);
A3 = zeros(1, N+1);

A1(1, 1:n) = P1(1:n);
A2(1, 1:n) = P2(1:n);
A3(1, 1:n) = P3(1:n);

B1 = zeros(1, N+1);
B2 = zeros(1, N+1);
B3 = zeros(1, N+1);

B1(1, 1:n) = P1_rho(1:n);
B2(1, 1:n) = P2_rho(1:n);
B3(1, 1:n) = P3_rho(1:n);

theValue_13 = 0;
theValue_12 = 0;

for (j = 0:n)
  theValue_13 = theValue_13 + ...
                B1(1, n-j+1)*A3(1, j+1) + A1(1, n-j+1)*B3(1, j+1);
  theValue_12 = theValue_12 + ...
                B1(1, n-j+1)*A2(1, j+1) + A1(1, n-j+1)*B2(1, j+1);
end
   
sn1 = 0;
sn2 = -theValue_13;
sn3 = theValue_12;

s_return = [sn1;
            sn2;
            sn3];
        
        
        
        