function varargout = convertToPoly_3D(A, B, C, M, N);


numThreeDcoeff = (M+1)*(N+1)*(N+2)/2;
threeDexp = zeros(numThreeDcoeff, 3);
A_bar = intval(zeros(numThreeDcoeff, 1));
B_bar = intval(zeros(numThreeDcoeff, 1));
C_bar = intval(zeros(numThreeDcoeff, 1));



thisExp = 0;
for m = 1:(M+1)
    for k = 1:(N+1)
        for l = 1:(N-k+2)
            thisExp = thisExp+1;
            threeDexp(thisExp, 1:3) = [m-1, l-1, k-1];
            A_bar(thisExp) = A(m, l, k);
            B_bar(thisExp) = B(m, l, k);
            C_bar(thisExp) = C(m, l, k);       
        end
    end
end

P1 = polynom(A_bar, threeDexp, {'t' 'x' 'y'});
P2 = polynom(B_bar, threeDexp, {'t' 'x' 'y'});
P3 = polynom(C_bar, threeDexp, {'t' 'x' 'y'});

varargout(1,1)={P1};
varargout(2,1)={P2};
varargout(3,1)={P3};


