function varargout = convertToPoly_branch_2D(A, B, C, M, N);


numTwoDcoeff = (M+1)*(N+1);
twoDexp = zeros(numTwoDcoeff, 2);
A_bar = intval(zeros(numTwoDcoeff, 1));
B_bar = intval(zeros(numTwoDcoeff, 1));
C_bar = intval(zeros(numTwoDcoeff, 1));

size(A)
size(B)
size(C)

thisExp = 0;
for k = 0:M
    for l = 0:N
           
        twoDexp(thisExp+1, 1:2) = [k, l];
        %A(k+1, l+1)
        %B(k+1, l+1)
        %C(k+1, l+1)
        A_bar(thisExp+1) = A(k+1, l+1);
        B_bar(thisExp+1) = B(k+1, l+1);
        C_bar(thisExp+1) = C(k+1, l+1);
        thisExp = thisExp+1;
    end
end


P1 = polynom(A_bar, twoDexp, {'t' 'x'});
P2 = polynom(B_bar, twoDexp, {'t' 'x'});
P3 = polynom(C_bar, twoDexp, {'t' 'x'});

varargout(1,1)={P1};
varargout(2,1)={P2};
varargout(3,1)={P3};


