function f = convolveMatrixSeries_1D_general_intval(A,B)


temp1 = size(A);
temp2 = size(B);

dim = temp1(1);
M = temp1(3)-1;
N = temp2(3)-1;

Abar = intval(zeros(dim, dim, N+M+1));
Bbar = intval(zeros(dim, dim, N+M+1));
AB   = intval(zeros(dim, dim, N+M+1));

Abar(1:dim, 1:dim, 1:(M+1)) = A;
Bbar(1:dim, 1:dim, 1:(N+1)) = B;

for n = 0:(N+M)
  c_n = intval(zeros(dim, dim));
  for j = 0:n
        c_n = c_n + ...
            Abar(1:dim, 1:dim, n - j + 1)*Bbar(1:dim, 1:dim, j + 1);
  end
  AB(1:dim, 1:dim, n+1) = c_n;
end

f = AB;

