function f = convolveSeries_3D_general_intval(A,B)

temp1 = size(A);
temp2 = size(B);

M1 = temp1(1,1)-1;
M2 = temp2(1,1)-1;

N1 = temp1(1,2)-1;
N2 = temp2(1,2)-1;



numThreeDcoeff = (M1+1)*(N1+1)*(N1+2)/2;
threeDexp = zeros(numThreeDcoeff, 3);
A_bar = intval(zeros(numThreeDcoeff, 1));

thisExp = 0;
for m = 1:(M1+1)
    for k = 1:(N1+1)
        for l = 1:(N1-k+2)
            thisExp = thisExp+1;
            threeDexp(thisExp, 1:3) = [m-1, l-1, k-1];
            A_bar(thisExp) = A(m, l, k);   
        end
    end
end

PolyA = polynom(A_bar, threeDexp, {'t' 'x' 'y'});




numThreeDcoeff = (M2+1)*(N2+1)*(N2+2)/2;
threeDexp = zeros(numThreeDcoeff, 3);
B_bar = intval(zeros(numThreeDcoeff, 1));

thisExp = 0;
for m = 1:(M2+1)
    for k = 1:(N2+1)
        for l = 1:(N2-k+2)
            thisExp = thisExp+1;
            threeDexp(thisExp, 1:3) = [m-1, l-1, k-1];
            B_bar(thisExp) = B(m, l, k);    
        end
    end
end

PolyB = polynom(B_bar, threeDexp, {'t' 'x' 'y'});

PolyC = PolyA*PolyB;

if ((temp1(1,3) ~= temp1(1,2)) | (temp2(1,3) ~= temp2(1,2)))
	crashNow = crashHere
end


AB   = intval(zeros(M1+M2+1, N1+N2+1, N1+N2+1));

for n1 = 0:(N1+N2)
 	convolveLoop = n1
	N1+N2
	for n2 = 0:(N1+N2)
		 if (n1+n2 <= N1+N2)
        	for m = 0:(M1+M2)
      			AB(m+1, n1+1, n2+1) = PolyC(m, n1, n2);
			end	
		end
	end
end


%for n1 = 0:(N1+N2)
% 	convolveLoop = n1
%	N1+N2
%	for n2 = 0:(N1+N2)
%		 if (n1+n2 <= N1+N2)
%        	for m = 0:(M1+M2)
%    			c_mn = intval(0);
%      			for i = 0:n1
%					for j = 0:n2
%        				for k = 0:m
%            				c_mn = c_mn + Abar(m-k+1, n1-i+1, n2-j+1)*Bbar(k+1, i+1, j+1);
%        				end
%					end
%      			end
%      			AB(m+1, n1+1, n2+1) = c_mn;
%			end	
%		end
%	end
%end

f = AB;

