function [xn, yn] = henon_FP_expansion_intval(x_0, y_0, a, b, N)
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here


x0 = x_0;
y0 = b*x0;

x1 = x0/(2*a*x0 - b + 1);
y1 = b*x1 + x0;

xn = intval(zeros(1, N+1));
yn = xn;
xn(1) = x0;
yn(1) = y0;
xn(2) = x1;
yn(2) = y1;


coef_1 = 1/(2*a*x0-b+1);
for n = 2:N
   thisSum = 0;
   for k = 1:(n-1)
       thisSum = thisSum + xn(n-k+1)*xn(k+1);
   end
   xn(n+1) = coef_1*(xn(n) - a*thisSum);
   yn(n+1) = b*xn(n+1) + xn(n);
end





end
