function E_N= residual_unstableBranch_at0_intval(PMN1, PMN2, PMN3, ...
    lambda_series, sigma, beta, rho, domRad0, omega, M, N)





PMN1_big = intval(zeros(2*M+1, 2*N+1)); 
PMN2_big = intval(zeros(2*M+1, 2*N+1)); 
PMN3_big = intval(zeros(2*M+1, 2*N+1)); 

P1omega = intval(zeros(2*M+1, 2*N+1));

differentialTerm1 = intval(zeros(2*M+1, 2*N+1));
differentialTerm2 = intval(zeros(2*M+1, 2*N+1));
differentialTerm3 = intval(zeros(2*M+1, 2*N+1));

PMN1_big(1:M+1, 1:N+1) = PMN1;
PMN2_big(1:M+1, 1:N+1) = PMN2;
PMN3_big(1:M+1, 1:N+1) = PMN3;

PMN13 = convolveSeries_2D_general_intval_old(PMN1,PMN3);
PMN12 = convolveSeries_2D_general_intval_old(PMN1,PMN2);


for n = 0:N
    this_amn1 = intval(zeros(1, M+1));
    this_amn1 = n*PMN1(:, n+1)';
    
    this_amn2 = intval(zeros(1, M+1));
    this_amn2 = n*PMN2(:, n+1)';
    
    this_amn3 = intval(zeros(1, M+1));
    this_amn3 = n*PMN3(:, n+1)';
    
    thisDiffTerm1 = convolveSeries_1D_general_intval(this_amn1, lambda_series);
    thisDiffTerm2 = convolveSeries_1D_general_intval(this_amn2, lambda_series);
    thisDiffTerm3 = convolveSeries_1D_general_intval(this_amn3, lambda_series);

    differentialTerm1(:, n+1) = thisDiffTerm1;
    differentialTerm2(:, n+1) = thisDiffTerm2;
    differentialTerm3(:, n+1) = thisDiffTerm3;
end



for n = 0:N
    for m = 1:M
        P1omega(m+1, n+1) = PMN1(m, n+1); 
    end
end



Error_omega_1 = -sigma*PMN1_big + sigma*PMN2_big - differentialTerm1; 

Error_omega_2 = rho*PMN1_big + P1omega - PMN13 - ...
                               PMN2_big - differentialTerm2;

Error_omega_3 = PMN12 - beta*PMN3_big - differentialTerm3;

thisSum1 = intval(0);
thisSum2 = intval(0);
thisSum3 = intval(0);

for m = 0:2*M
    for n = 0:2*N
        thisSum1 = thisSum1 + ...
                   abs(Error_omega_1(m+1, n+1))*(abs(omega)^m)*(domRad0)^n;
        thisSum2 = thisSum2 + ...
                   abs(Error_omega_2(m+1, n+1))*(abs(omega)^m)*(domRad0)^n;
        thisSum3 = thisSum3 + ...
                   abs(Error_omega_3(m+1, n+1))*(abs(omega)^m)*(domRad0)^n;
    end
end

expansion1D_sigmaError = max([sup(thisSum1), ...
									  sup(thisSum2), ... 
										sup(thisSum3)])




E_N = expansion1D_sigmaError;