clear
format long

N = 25;

%Exponential Function:
Q_exp = zeros(1, N+1);

for k = 0:N
    Q_exp(k+1) =  1/factorial(k);
end

exp1 = horner(1, Q_exp(1, :), N)
error_exp = abs(exp1- exp(1))

%(e^x)^3
Q_exp_3rd = zeros(1, N+1);
Q_exp_3rd(1) = Q_exp(1)^3;
Q_exp_3rd(2) = 3*(Q_exp(1)^2)*Q_exp(2);

for n = 2:N
    theSum = 0;
    for k = 0:(n-2)
       theSum = theSum + (k+1)*[3*Q_exp_3rd(n-k)*Q_exp(k+2) - ...
                                  Q_exp(n-k)*Q_exp_3rd(k+2)]; 
    end
    Q_exp_3rd(n+1) = 3*(Q_exp(1)^2)*Q_exp(n+1) + (1/n)*theSum;
end


exp1_3rd = horner(1, Q_exp_3rd(1, :), N)
error_exp_3rd = abs(exp1_3rd - exp(1)^3)









