function varargout=compute_sm_alphaPoly_intval_poly(...
    n1,n2,P1,P2,P3,sigma, rho, beta, M)


%sm_alpha2 = intval(zeros(2*M+1, 1));
%sm_alpha3 = intval(zeros(2*M+1, 1));
%for m = 0:2*M
%   sum2 = intval(0);
%   sum3 = intval(0);
%   for j= 0:m
%      for k = 0:n1
%         for l = 0:n2
%            if (((k ~= 0) | (l ~= 0)) & ((k ~= n1) | (l ~= n2)) & ...
%                    ((m-j <= M) & (j <= M)))
%                sum2 = sum2 + P1(m-j+1, n1-k+1, n2-l+1)*P3(j+1, k+1, l+1);
%                sum3 = sum3 + P1(m-j+1, n1-k+1, n2-l+1)*P2(j+1, k+1, l+1);
%            end
%         end
%      end
%   end
%   sm_alpha2(m+1) = sum2;
%   sm_alpha3(m+1) = sum3;
%end


sm_alpha2_poly = convertToPoly_1D1D([0], 0);
sm_alpha3_poly = convertToPoly_1D1D([0], 0);



for j = 0:n1
    for k = 0:n2
        if (((k ~= 0) | (j ~= 0)) & ((k ~= n1) | (j ~= n2)))
        tempVect1 = P1(1:(M+1), n1-j+1, n2-k+1);
        tempVect2 = P2(1:(M+1), j+1, k+1);
        tempVect3 = P3(1:(M+1), j+1, k+1);
 
        term1 = convertToPoly_1D1D(tempVect1', M);
        term2 = convertToPoly_1D1D(tempVect2', M);
        term3 = convertToPoly_1D1D(tempVect3', M);
      
        sm_alpha2_poly = sm_alpha2_poly + term1*term3;
        sm_alpha3_poly = sm_alpha3_poly + term1*term2;
        end
    end
end


varargout(1,1)={sm_alpha2_poly};
varargout(2,1)={sm_alpha3_poly};




