function s_return=compute_smn_intval_vectorized(...
                                       m,n,P1,P2,P3,sigma, rho, beta, N)



Q1 = intval(zeros(N+1, N+1));
Q2 = intval(zeros(N+1, N+1));
Q3 = intval(zeros(N+1, N+1));

Q1(1:m+1, 1:n) = P1(1:m+1, 1:n);
Q1(1:m, n+1) = P1(1:m, n+1);

Q2(1:m+1, 1:n) = P2(1:m+1, 1:n);
Q2(1:m, n+1) = P2(1:m, n+1);

Q3(1:m+1, 1:n) = P3(1:m+1, 1:n);
Q3(1:m, n+1) = P3(1:m, n+1);

theValue_13 = intval(0);
theValue_12 = intval(0);

for (j = 0:n)
    for (k = 0:m)
        if (j + k <= n+m)
        theValue_13 = theValue_13 + Q1(m-k+1,n-j+1)*Q3(k+1,j+1);
        theValue_12 = theValue_12 + Q1(m-k+1,n-j+1)*Q2(k+1,j+1);
        end
    end
end
  


numElements = (n+1)*(m+1)

A = reshape(P1(1:m+1, 1:n+1), numElements, 1)
A = A(2:numElements-1)

B= reshape(P3(1:m+1, 1:n+1), numElements, 1)
B = B(2:numElements-1)
B = flipud(B)


theValue_13_test = dot(A, B);
sup(theValue_13_test)
sup(theValue_13)






smn1 = intval(0);
smn2 =  -theValue_13;
smn3 =  theValue_12;

s_return = [smn1;
            smn2;
            smn3];

        
        
        
        
        
        
        