function s_return=compute_smn_rhoPartial(m, n, P1, P2, P3, ...
                              P1_rho, P2_rho, P3_rho, sigma, rho, beta, N)

A1 = zeros(N+1, N+1);
A2 = zeros(N+1, N+1);
A3 = zeros(N+1, N+1);

A1(1:m+1, 1:n) = P1(1:m+1, 1:n);
A1(1:m, n+1) = P1(1:m, n+1);

A2(1:m+1, 1:n) = P2(1:m+1, 1:n);
A2(1:m, n+1) = P2(1:m, n+1);

A3(1:m+1, 1:n) = P3(1:m+1, 1:n);
A3(1:m, n+1) = P3(1:m, n+1);

B1 = zeros(N+1, N+1);
B2 = zeros(N+1, N+1);
B3 = zeros(N+1, N+1);

B1(1:m+1, 1:n) = P1_rho(1:m+1, 1:n);
B1(1:m, n+1) = P1_rho(1:m, n+1);

B2(1:m+1, 1:n) = P2_rho(1:m+1, 1:n);
B2(1:m, n+1) = P2_rho(1:m, n+1);

B3(1:m+1, 1:n) = P3_rho(1:m+1, 1:n);
B3(1:m, n+1) = P3_rho(1:m, n+1);

theValue_13 = 0;
theValue_12 = 0;

for (j = 0:n)
    for (k = 0:m)
        theValue_13 = theValue_13 + ...
            [B1(m-k+1,n-j+1)*A3(k+1,j+1) + A1(m-k+1,n-j+1)*B3(k+1,j+1)];
        
        theValue_12 = theValue_12 + ...
            [B1(m-k+1,n-j+1)*A2(k+1,j+1) + A1(m-k+1,n-j+1)*B2(k+1,j+1)];
     end
end
   

smn1 = 0;
smn2 =  -theValue_13;
smn3 =  theValue_12;

s_return = [smn1;
            smn2;
            smn3];
