function s_return=compute_sn_intval(n, P1, P2, P3, epsilon, delta, sigma, N)

Q1 = intval(zeros(1, N+1));
Q2 = intval(zeros(1, N+1));
Q3 = intval(zeros(1, N+1));

Q1(1:n) = P1(1:n);
Q2(1:n) = P2(1:n);
Q3(1:n) = P3(1:n);

theValue_13 = intval(0);
theValue_12 = intval(0);

for (j = 0:n)
  theValue_13 = theValue_13 + Q1(n-j+1)*Q3(j+1);
  theValue_12 = theValue_12 + Q1(n-j+1)*Q2(j+1);
end
   

sn1 = intval(0);
sn2 = -theValue_13;
sn3 = theValue_12;

s_return = [sn1;
            sn2;
            sn3];
        
        
        
        