function s_return=convolution_smn1n2_intval_vectorized(...
    m,n1,n2,P1,P2,P3, sigma, rho, beta, M, N)

% 
% Q1 = intval(zeros(M+1, N+1, N+1));
% Q2 = intval(zeros(M+1, N+1, N+1));
% Q3 = intval(zeros(M+1, N+1, N+1));
% 
% Q1(1:m+1, 1:n1+1, 1:n2+1) = P1(1:m+1, 1:n1+1, 1:n2+1);
% Q1(m+1, n1+1, n2+1) = intval(0);
% 
% Q2(1:m+1, 1:n1+1, 1:n2+1) = P2(1:m+1, 1:n1+1, 1:n2+1);
% Q2(m+1, n1+1, n2+1) = intval(0);
% 
% Q3(1:m+1, 1:n1+1, 1:n2+1) = P3(1:m+1, 1:n1+1, 1:n2+1);
% Q3(m+1, n1+1, n2+1) = intval(0);
% 
% theValue_13 = intval(0);
% theValue_12 = intval(0);
% 
% for (i = 0:n1)
%     for (j = 0:n2)
%         for (k = 0:m)
%             theValue_13 = theValue_13 + ...
%                           Q1(m-k+1,n1-i+1,n2-j+1)*Q3(k+1,i+1,j+1);
%             theValue_12 = theValue_12 + ...
%                           Q1(m-k+1,n1-i+1,n2-j+1)*Q2(k+1,i+1,j+1);
%         end
%     end
% end
%  

 A = reshape(P1(1:m+1, 1:n1+1, 1:n2+1), (n1+1)*(n2+1)*(m+1), 1);
 A = A(2:((n1+1)*(n2+1)*(m+1)-1));

 B = reshape(P3(1:m+1, 1:n1+1, 1:n2+1), (n1+1)*(n2+1)*(m+1), 1);
 B = B(2:((n1+1)*(n2+1)*(m+1)-1));
 B = flipud(B);

 theValue_13 = dot(A, B);

 B = reshape(P2(1:m+1, 1:n1+1, 1:n2+1), (n1+1)*(n2+1)*(m+1), 1);
 B = B(2:((n1+1)*(n2+1)*(m+1)-1));
 B = flipud(B);

 theValue_12 = dot(A, B);


smn1 = intval(0);
smn2 =  theValue_13;
smn3 =  theValue_12;

s_return = [smn1;
            smn2;
            smn3];
