function f = convolveSeries_1D_general_intval(A,B)


temp1 = size(A);
temp2 = size(B);

M = temp1(2)-1;
N = temp2(2)-1;

Abar = intval(zeros(1, N+M+1));
Bbar = intval(zeros(1, N+M+1));
AB   = intval(zeros(1, N+M+1));

Abar(1, 1:(M+1)) = A;
Bbar(1, 1:(N+1)) = B;

for n = 0:(N+M)
  c_n = intval(0);
  for j = 0:n
        c_n = c_n + Abar(n - j + 1)*Bbar(j + 1);
  end
  AB(n+1) = c_n;
end

f = AB;

