function f = convolveSeries_2D_general_intlab(A,B)

temp1 = size(A);
temp2 = size(B);

M1 = temp1(1,1)-1;
M2 = temp2(1,1)-1;

N1 = temp1(1,2)-1;
N2 = temp2(1,2)-1;

Abar = intval(zeros(M1+M2+1, N1+N2+1));
Bbar = intval(zeros(M1+M2+1, N1+N2+1));
AB   = intval(zeros(M1+M2+1, N1+N2+1));

Abar(1:(M1+1), 1:(N1+1)) = A;
Bbar(1:(M2+1), 1:(N2+1)) = B;

for n = 0:(N1+N2)
	for m = 0:(M1+M2)
    	c_mn = intval(0);
      for j = 0:n
        for k = 0:m
            c_mn = c_mn + Abar(m-k+1, n-j+1)*Bbar(k+1, j+1);
        end
      end
      AB(m+1, n+1) = c_mn;
	end
end

f = AB;


