function f = convolveSeries_2D_general_intval(A,B)

temp1 = size(A);
temp2 = size(B);

M1 = temp1(1,1)-1;
M2 = temp2(1,1)-1;

N1 = temp1(1,2)-1;
N2 = temp2(1,2)-1;


AB   = intval(zeros(M1+M2+1, N1+N2+1));

Abar(1:(M1+1), 1:(N1+1)) = A;
Bbar(1:(M2+1), 1:(N2+1)) = B;


numTwoDcoeff = (M1+1)*(M1+2)/2;
twoDexp = zeros(numTwoDcoeff, 2);
A_bar = intval(zeros(numTwoDcoeff, 1));

thisExp = 0;
for k = 1:(M1+1)
    for l = 1:(M2-k+2)
        thisExp = thisExp+1;
        twoDexp(thisExp, 1:2) = [l-1, k-1];
        A_bar(thisExp) = A(l, k);   
    end
end


PolyA = polynom(A_bar, twoDexp, {'x' 'y'});


numTwoDcoeff = (N1+1)*(N2+2)/2;
twoDexp = zeros(numTwoDcoeff, 2);
B_bar = intval(zeros(numTwoDcoeff, 1));

thisExp = 0;

for k = 1:(N2+1)
    for l = 1:(N1-k+2)
        thisExp = thisExp+1;
        twoDexp(thisExp, 1:2) = [l-1, k-1];
        B_bar(thisExp) = B(l, k);    
    end
end


PolyB = polynom(B_bar, twoDexp, {'x' 'y'});

PolyC = PolyA*PolyB;


for n = 0:(N1+N2)
    convolve2D_n = n
    outOf = N1 + N2
	for m = 0:(M1+M2)
      if (n+m <= N1 + M1)  
        AB(m+1, n+1) = PolyC(m, n);
      end
	end
end

%for n = 0:(N1+N2)
%    convolve2D_n = n
%    outOf = N1 + N2
%	for m = 0:(M1+M2)
%      if (n+m <= N1 + N2)  
%      c_mn = intval(0);
%      for j = 0:n
%        for k = 0:m
%            c_mn = c_mn + Abar(m-k+1, n-j+1)*Bbar(k+1, j+1);
%        end
%      end
%      AB(m+1, n+1) = c_mn;
%      end
%	end
%end

f = AB;


