function f = convolveSeries_3D_general(A,B)

temp1 = size(A);
temp2 = size(B);

M1 = temp1(1,1)-1;
M2 = temp2(1,1)-1;

N1 = temp1(1,2)-1;
N2 = temp2(1,2)-1;

if ((temp1(1,3) ~= temp1(1,2)) | (temp2(1,3) ~= temp2(1,2)))
	crashNow = crashHere
end

Abar = zeros(M1+M2+1, N1+N2+1, N1+N2+1);
Bbar = zeros(M1+M2+1, N1+N2+1, N1+N2+1);
AB   = zeros(M1+M2+1, N1+N2+1, N1+N2+1);

Abar(1:(M1+1), 1:(N1+1), 1:(N1+1)) = A;
Bbar(1:(M2+1), 1:(N2+1), 1:(N2+1)) = B;

for n1 = 0:(N1+N2)
 	n1
	N1+N2
	for n2 = 0:(N1+N2)
		 if (n1+n2 <= N1+N2)
        	for m = 0:(M1+M2)
    			c_mn = 0;
      			for i = 0:n1
					for j = 0:n2
        				for k = 0:m
            				c_mn = c_mn + Abar(m-k+1, n1-i+1, n2-j+1)*Bbar(k+1, i+1, j+1);
        				end
					end
      			end
      			AB(m+1, n1+1, n2+1) = c_mn;
			end	
		end
	end
end

f = AB;

