function varargout=henon_linearSeriesAtFP_intval(...
    M, tau, scale_eig, xM, yM, delta, a, b);


Dfp0 = [-2*a*xM(1), 1;
                b, 0];

            
[U_temp, Sigma_temp] = eigs(Dfp0.mid);

Sigma_temp

%Verify eigen data plus:
[lambda1, xi1] = ...
     verifyeig(Dfp0, Sigma_temp(1, 1), U_temp(:,1));

 xi1 = scale_eig*xi1
 
 [lambda2, xi2] = ...
     verifyeig(Dfp0, Sigma_temp(2, 2), U_temp(:,2));

 xi2 = scale_eig*xi2

 
 
[lambda_series1, xi_1_series1, xi_2_series1, ...
    delta_lambda1, delta_xi1] = ...
        henon_eigValVectValidate_intval(...
        xM, yM, lambda1, xi1, M, tau, scale_eig, delta, a, b);
  
        
    
    
 [lambda_series2, xi_1_series2, xi_2_series2, ...
    delta_lambda2, delta_xi2] = ...
    henon_eigValVectValidate_intval(...
    xM, yM, lambda2, xi2, M, tau, scale_eig, delta, a, b);
 



            
varargout(1,1)={lambda1};
varargout(2,1)={lambda2};
varargout(3,1)={xi1};
varargout(4,1)={xi2};
varargout(5,1)={lambda_series1};
varargout(6,1)={lambda_series2};
varargout(7,1)={xi_1_series1};
varargout(8,1)={xi_2_series1};
varargout(9,1)={xi_1_series2};
varargout(10,1)={xi_2_series2};
varargout(11,1)={delta_lambda1};
varargout(12,1)={delta_lambda2};
varargout(13,1)={delta_xi1};
varargout(14,1)={delta_xi2};




