

 data = p1;	
 fid = fopen('WsWu_Pov.pov', 'w');
 nsteps = size(data, 1);
 %spheresize = 1/20;
 
 fprintf(fid, '%s\n', '#declare RAD = 0.05;');
 
 fprintf(fid, '%s\n', 'union {');
 for n = 1:nsteps
 		outstr = [ '    sphere{ <', num2str(data(n,1)), ',', num2str(data(n,2)), ',', ...
                     num2str(data(n,3)), '> ' 'RAD' '}' ];
 		fprintf(fid, '%s \n', outstr);
 		if mod(n,1000) == 0; disp([num2str(n) '	'	outstr]), end
 end
 fprintf(fid, '%s\n', 'pigment { color rgb <1, 0, 0> }'); 
 fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
 fprintf(fid, '%s\n', '}');
 
 %fclose(fid);

fprintf(fid, '%s\n', '    ');
fprintf(fid, '%s\n', '    ');
data = p2;	
%fid = fopen('Wu_locPov.txt', 'w');
nsteps = size(data, 1);
spheresize = 1/20;

fprintf(fid, '%s\n', 	'union {');
for n = 1:nsteps
		outstr = [ '    sphere{ <', num2str(data(n,1)), ',', num2str(data(n,2)), ',', ...
                    num2str(data(n,3)), '> ' 'RAD' '}' ];
		fprintf(fid, '%s \n', outstr);
		if mod(n,1000) == 0; disp([num2str(n) '	'	outstr]), end
end
fprintf(fid, '%s\n', 'pigment { color rgb <0, 0, 1> }'); 
fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
fprintf(fid, '%s\n', '}');

fclose(fid);

disp('Done.')


