function f = matrixSeries_validateInverse_intval(A, B, delta_A, tau, M)

temp = size(A);
K = temp(1);



if K == 1
    
B_bound = horner(tau, abs(B), M);

A_0 = A(1, 1);

theSum = intval(0);
for m = 1:M
    thisMatrix = A(1, m+1);
    thisTerm = abs(thisMatrix);
    theSum = theSum + thisTerm*tau^(m-1);
end

M_bound_A = abs(A_0)*(tau*theSum + delta_A)


if (sup(M_bound_A) >= 1)
    crashNow = M_bound_fail_in_matrixInv_validate
end

%Now bound truncation error of Q_omegaInv:

size(A)
size(B)

E_M_AB = convolveSeries_1D_general_intval(A, B);
E_M_AB_sigmaNorm = abs(E_M_AB(1,1) - 1)


for m = 1:2*M
    E_M_AB_sigmaNorm = E_M_AB_sigmaNorm + ...
        abs(E_M_AB(1,m+1))*tau^m;
end



delta_B = ...
    (abs(A_0)/(1-M_bound_A))*(E_M_AB_sigmaNorm + ...
            delta_A*B_bound )
 
       
else
B_bound = matrixSeries_sigmaNorm_intval(B, tau);

A_0 = A(:, :, 1);

theSum = 0
for m = 1:M
    thisMatrix = A(:, :, m+1);
    thisTerm = norm(thisMatrix, inf);
    theSum = theSum + thisTerm*tau^(m-1);
end

M_bound_A = norm(A_0, inf)*(tau*theSum + delta_A)


if (sup(M_bound_A) >= 1)
    crashNow = M_bound_fail_in_matrixInv_validate
end

%Now bound truncation error of Q_omegaInv:

E_M_AB = convolveMatrixSeries_1D_general_intval(A, B);
E_M_AB_sigmaNorm = norm(eye(K) - E_M_AB(:,:,1), inf)


for m = 1:2*M
    E_M_AB_sigmaNorm = E_M_AB_sigmaNorm + ...
        norm(E_M_AB(:,:,m+1), inf)*tau^m;
end



delta_B = ...
    (norm(A_0, inf)/(1-M_bound_A))*(E_M_AB_sigmaNorm + ...
            delta_A*B_bound )
 

end

f = delta_B;

