function E_N= residual_stableBranch_at0_intval(QMN1, QMN2, QMN3, ...
    lambda1_series, lambda2_series, sigma, beta, rho, domRad0, omega, M, N)



[Q1, Q2, Q3] = convertToPoly_3D(QMN1, QMN2, QMN3, M, N);

Q13 = Q1*Q3;
Q12 = Q1*Q2;

lambda1_poly = convertToPoly_1D1D(lambda1_series, M);
lambda2_poly = convertToPoly_1D1D(lambda2_series, M);

differentialTerm1 = polynom([0], [0 0 0], {'t' 'x' 'y'})
differentialTerm2 = polynom([0], [0 0 0], {'t' 'x' 'y'})
differentialTerm3 = polynom([0], [0 0 0], {'t' 'x' 'y'})

for indexNum = 0:N
	diffLoop = indexNum
	N
	for n2 = 0:indexNum
        n1 = indexNum - n2;
    		
    		this_amn1 = QMN1(:, n1+1, n2+1)';
            this_amn1_poly = convertToPoly_1D1D(this_amn1, M);
            
            this_amn2 = QMN2(:, n1+1, n2+1)';
            this_amn2_poly = convertToPoly_1D1D(this_amn2, M);
            
            this_amn3 = QMN3(:, n1+1, n2+1)';
            this_amn3_poly = convertToPoly_1D1D(this_amn3, M);
            
            
    		this_amn2 = intval(zeros(1, M+1));
    		this_amn2 = QMN2(:, n1+1, n2+1)';
    
    		this_amn3 = intval(zeros(1, M+1));
    		this_amn3 = QMN3(:, n1+1, n2+1)';
    
    		thisDiffTerm1_1 = this_amn1_poly*lambda1_poly;
    		thisDiffTerm2_1 = this_amn2_poly*lambda1_poly;
    		thisDiffTerm3_1 = this_amn3_poly*lambda1_poly;

			thisDiffTerm1_2 = this_amn1_poly*lambda2_poly;
    		thisDiffTerm2_2 = this_amn2_poly*lambda2_poly;
    		thisDiffTerm3_2 = this_amn3_poly*lambda2_poly;

            thisThetaPoly = polynom([1], [0 n1 n2], {'t' 'x' 'y'});
            
                        
    		differentialTerm1 = differentialTerm1 + ...
                (n1*thisDiffTerm1_1 + n2*thisDiffTerm1_2)*thisThetaPoly;
    		differentialTerm2 = differentialTerm2 + ...
                (n1*thisDiffTerm2_1 + n2*thisDiffTerm2_2)*thisThetaPoly;
    		differentialTerm3 = differentialTerm3 + ...
                (n1*thisDiffTerm3_1 + n2*thisDiffTerm3_2)*thisThetaPoly;
	end
end




for n1 = 0:N
	omegaPartialLoop = n1
	N
	for n2 = 0:N
		if (n1+n2 <= N)
    		for m = 1:M
        		Q1omega(m+1, n1+1, n2+1) = QMN1(m, n1+1, n2+1); 
    		end
		end
	end
end


[Q1omega_poly, Q1omega_poly, Q1omega_poly] = ...
    convertToPoly_3D(Q1omega, Q1omega, Q1omega, M, N);


Error_omega_1 = -sigma*Q1 + sigma*Q2 - differentialTerm1; 

Error_omega_2 = rho*Q1 + Q1omega_poly - Q13 - ...
                               Q2 - differentialTerm2;

Error_omega_3 = Q12 - beta*Q3 - differentialTerm3;

thisSum1 = polyval(abs(Error_omega_1), omega, domRad0, domRad0)
thisSum2 = polyval(abs(Error_omega_2), omega, domRad0, domRad0)
thisSum3 = polyval(abs(Error_omega_3), omega, domRad0, domRad0)

expansion2D_sigmaError = max([sup(thisSum1), sup(thisSum2), sup(thisSum3)])


E_N = expansion2D_sigmaError;


