function f=rhoPartial_of_eigVect(p, lambda, xi, sigma, rho, beta, L);

Dfp = lorenzDifferential(p, sigma, rho, beta, L);

Drho_lambda = rhoPartial_of_eigVal(lambda, sigma, rho, beta, L);  
[U, S, V] = svd(xi');

e1 = V(:,2);
e2 = V(:,3);

Id = eye(3);
Drho_Df = [0, 0, 0;
           1, 0, 0;
           0, 0, 0];
 
M = Drho_Df - Drho_lambda*Id;
v = pinv([Dfp - lambda*Id])*(-M*xi);

b1b2a = [e1, e2, -xi]\v;

f = b1b2a(3)*xi + v; 

